import QtQuick 1.1
import com.nokia.meego 1.0
import QtMobility.sensors 1.1

Page {
    id: mainPage
    orientationLock: PageOrientation.LockPortrait

    Accelerometer {
        id: acc
        active: true
        onReadingChanged: {
            derecha.width = - parent.width / 20 * acc.reading.x

            izquerda.width = parent.width / 20 * acc.reading.x
            izquerda.x = centro.x + centro.width - izquerda.width

            arriba.height = parent.height / 20 * acc.reading.y

            abajo.height = - parent.height / 20 * acc.reading.y
            abajo.y = centro.y + centro.height - abajo.height

            acx.text = qsTr("Horizontal: ") + Math.round(-acc.reading.x)
            acy.text = qsTr("Vertical: ") + Math.round(-acc.reading.y)
        }
    }

    Label {
        id: title
        anchors.top: parent.top
        anchors.horizontalCenter: parent.horizontalCenter
        text: qsTr("Nivel")
    }

    Label {
        id: paused
        anchors.centerIn: parent
        text: qsTr("PAUSED")
        scale: 4
        visible: false
    }

    Rectangle {
        id: centro
        color: "red"
        width: 30
        height: 30
        radius: 30
        anchors.centerIn: parent
    }
    Rectangle {
        id: derecha
        color: "red"
        width: 30
        height: 30
        radius: 30
        anchors.verticalCenter: parent.verticalCenter
        x: centro.x
    }
    Rectangle {
        id: izquerda
        color: "red"
        width: 30
        height: 30
        radius: 30
        anchors.verticalCenter: parent.verticalCenter
        x: centro.x
    }
    Rectangle {
        id: arriba
        color: "red"
        width: 30
        height: 30
        radius: 30
        anchors.horizontalCenter: parent.horizontalCenter
        y: centro.y
    }
    Rectangle {
        id: abajo
        color: "red"
        width: 30
        height: 30
        radius: 30
        anchors.horizontalCenter: parent.horizontalCenter
        y: centro.y
    }

    Label {
        id: acx
        anchors.left: parent.left
        anchors.leftMargin: 30
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 30
    }
    Label {
        id: acy
        anchors.right: parent.right
        anchors.rightMargin: 30
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 30
    }

    Connections {
        target: platformWindow
        onActiveChanged: {
            if (platformWindow.active) {
                paused.visible = false
                acc.active = true
                centro.visible = true
                derecha.visible = true
                izquerda.visible = true
                arriba.visible = true
                abajo.visible = true
                acx.visible = true
                acy.visible = true
            } else {
                paused.visible = true
                acc.active = false
                centro.visible = false
                derecha.visible = false
                izquerda.visible = false
                arriba.visible = false
                abajo.visible = false
                acx.visible = false
                acy.visible = false
            }
        }
    }
}
